extends Node2D

@onready var path_2d: Path2D = $Path2D

const FORKMAN = preload("res://Game/Mobs/forkman.tscn")
const ORK = preload("res://Game/Mobs/ork.tscn")
const COBOLD = preload("res://Game/Mobs/cobold.tscn")

const enemies = [FORKMAN, COBOLD, ORK]

func _on_timer_timeout() -> void:
	spawnMonster()
	
func spawnMonster():
	var path = PathFollow2D.new()
	var monster = enemies.pick_random().instantiate()
	path.add_child(monster)
	
	path_2d.add_child(path)
